io.vertx.rxjava.ext.auth.oauth2.providers

## Class OpenIDConnectAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.oauth2.providers.OpenIDConnectAuth

- Direct Known Subclasses:
    AzureADAuth, GoogleAuth, KeycloakAuth, SalesforceAuth

      public class OpenIDConnectAuth
      extends Object

  Simplified factory to create an `OAuth2Auth` for OpenID Connect.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<OpenIDConnectAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenIDConnectAuth(Object delegate)`
    `OpenIDConnectAuth(OpenIDConnectAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `discover(Vertx vertx, OAuth2ClientOptions config, Handler<AsyncResult<OAuth2Auth>> handler)` Create a OAuth2Auth provider for OpenID Connect Discovery.
    `static Observable<OAuth2Auth>` | `discoverObservable(Vertx vertx, OAuth2ClientOptions config)` Deprecated. use `rxDiscover(io.vertx.rxjava.core.Vertx, io.vertx.ext.auth.oauth2.OAuth2ClientOptions)` instead
    `boolean` | `equals(Object o)`
    `OpenIDConnectAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static OpenIDConnectAuth` | `newInstance(OpenIDConnectAuth arg)`
    `static Single<OAuth2Auth>` | `rxDiscover(Vertx vertx, OAuth2ClientOptions config)` Create a OAuth2Auth provider for OpenID Connect Discovery.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<OpenIDConnectAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### OpenIDConnectAuth

          public OpenIDConnectAuth(OpenIDConnectAuth delegate)

    - #### OpenIDConnectAuth

          public OpenIDConnectAuth(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public OpenIDConnectAuth getDelegate()

    - #### discover

          public static void discover(Vertx vertx,
                                      OAuth2ClientOptions config,
                                      Handler<AsyncResult<OAuth2Auth>> handler)

      Create a OAuth2Auth provider for OpenID Connect Discovery. The discovery will use the given site in the configuration options and attempt to load the well known descriptor. If the discovered config includes a json web key url, it will be also fetched and the JWKs will be loaded into the OAuth provider so tokens can be decoded.
      Parameters:
        `vertx` - the vertx instance
        `config` - the initial config, it should contain a site url
        `handler` - the instantiated Oauth2 provider instance handler

    - #### discoverObservable

          @Deprecated
          public static Observable<OAuth2Auth> discoverObservable(Vertx vertx,
                                                                              OAuth2ClientOptions config)

      Deprecated. use `rxDiscover(io.vertx.rxjava.core.Vertx, io.vertx.ext.auth.oauth2.OAuth2ClientOptions)` instead
      Create a OAuth2Auth provider for OpenID Connect Discovery. The discovery will use the given site in the configuration options and attempt to load the well known descriptor. If the discovered config includes a json web key url, it will be also fetched and the JWKs will be loaded into the OAuth provider so tokens can be decoded.
      Parameters:
        `vertx` - the vertx instance
        `config` - the initial config, it should contain a site url
      Returns:

    - #### rxDiscover

          public static Single<OAuth2Auth> rxDiscover(Vertx vertx,
                                                      OAuth2ClientOptions config)

      Create a OAuth2Auth provider for OpenID Connect Discovery. The discovery will use the given site in the configuration options and attempt to load the well known descriptor. If the discovered config includes a json web key url, it will be also fetched and the JWKs will be loaded into the OAuth provider so tokens can be decoded.
      Parameters:
        `vertx` - the vertx instance
        `config` - the initial config, it should contain a site url
      Returns:

    - #### newInstance

          public static OpenIDConnectAuth newInstance(OpenIDConnectAuth arg)

Copyright © 2022 Eclipse. All rights reserved.